org.apache.hadoop.io

## Class SetFile

- java.lang.Object
- - org.apache.hadoop.io.MapFile
  - - org.apache.hadoop.io.SetFile

-     @InterfaceAudience.Public
       @InterfaceStability.Stable
      public class SetFile
      extends MapFile

  A file-based set of keys.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SetFile.Reader` Provide access to an existing set file.
    `static class` | `SetFile.Writer` Write a new set file.

    - ### Nested classes/interfaces inherited from class org.apache.hadoop.io.MapFile

      `MapFile.Merger`

  - ### Field Summary

    - ### Fields inherited from class org.apache.hadoop.io.MapFile

      `DATA_FILE_NAME, INDEX_FILE_NAME`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SetFile()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.hadoop.io.MapFile

      `delete, fix, main, rename`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SetFile

          protected SetFile()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.